For the complete documentation index, see llms.txt.

Orders
GET/api/orders/mergeable

Get Suggested Merges

Get a list of unshipped orders where there are multiple orders going to the same person at the same address.

View as MarkdownCopy for LLM

Orders

Create, search, update, tag, archive, restore, and list orders before shipping.

18 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders/mergeable

Details

Get a list of unshipped orders where there are multiple orders going to the same person at the same address.

Mergeable Orders Type

Parameter Type Description
primary_order_id number The Starshipit order_id of the potential 'master' order
orders object list A list of all mergable orders, including the 'master' order

Merge Orders Request

Parameter Type Description
limit number (default: 50, min: 1, max: 250)
page number default: 1

Merge Orders Response

Attribute Type Description
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)
orders object list List of mergeable orders type

Response examples

Get Suggested Merges (200)
{
    "orders": [
        {
            "primary_order_id": 440931582,
            "orders": [
                {
                    "order_id": 440931582,
                    "order_number": "858",
                    "order_date": "2024-07-01T05:10:34.4730965",
                    "street": "3623 Altona 11",
                    "suburb": "",
                    "city": "Saint Thomas",
                    "postcode": "00802",
                    "state": "",
                    "country": "Virgin Islands, U.S.",
                    "contact": "Test Virgin Islands, U.S."
                },
                {
                    "order_id": 440932662,
                    "order_number": "859",
                    "order_date": "2024-07-01T05:12:34.4730965",
                    "street": "3623 Altona 11",
                    "suburb": "",
                    "city": "Saint Thomas",
                    "postcode": "00802",
                    "state": "",
                    "country": "Virgin Islands, U.S.",
                    "contact": "Test Virgin Islands, U.S."
                }
            ]
        }
    ],
    "total": 1,
    "total_pages": 1,
    "success": true
}

Related endpoints